net.sf.jasperreports.charts.fill

## Class JRFillMeterPlot

- java.lang.Object
- - net.sf.jasperreports.engine.fill.JRFillChartPlot
  - - net.sf.jasperreports.charts.fill.JRFillMeterPlot

- All Implemented Interfaces:
    java.lang.Cloneable, JRMeterPlot, JRChartPlot, JRCloneable

      public class JRFillMeterPlot
      extends JRFillChartPlot
      implements JRMeterPlot

  Version:
    $Id: JRFillMeterPlot.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Barry Klawans (bklawans@users.sourceforge.net)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface net.sf.jasperreports.engine.JRChartPlot

      `JRChartPlot.JRSeriesColor`

  - ### Field Summary

    - ### Fields inherited from class net.sf.jasperreports.engine.fill.JRFillChartPlot

      `chart, parent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRFillMeterPlot(JRMeterPlot meterPlot, JRFillObjectFactory factory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JRDataRange` | `getDataRange()` Returns the range of values that the Meter can display.
    `java.util.List<JRMeterInterval>` | `getIntervals()` Returns a list of all the intervals contained in this Meter.
    `java.lang.Integer` | `getMeterAngleInteger()` Returns the size of the Meter face in degrees.
    `java.awt.Color` | `getMeterBackgroundColor()` Returns the background color of the meter.
    `java.awt.Color` | `getNeedleColor()` Returns the color used when drawing the meter's pointer.
    `MeterShapeEnum` | `getShapeValue()` Returns the shape of the Meter.
    `java.awt.Color` | `getTickColor()` Returns the color used when drawing tick marks on the meter.
    `java.lang.Integer` | `getTickCount()` Returns the number of major ticks on the meter scale.
    `java.lang.Double` | `getTickIntervalDouble()` Returns the spacing between the ticks on the face of the meter.
    `JRFont` | `getTickLabelFont()` Returns the font used to write tick labels on the meter.
    `java.lang.String` | `getUnits()` Returns the name of the units that the Meter is displaying.
    `JRValueDisplay` | `getValueDisplay()` Returns a description of how the value of the Meter is displayed.

    - ### Methods inherited from class net.sf.jasperreports.engine.fill.JRFillChartPlot

      `addSeriesColor, clearSeriesColors, clone, clone, collectExpressions, getBackcolor, getBackgroundAlphaFloat, getChart, getForegroundAlphaFloat, getLabelRotationDouble, getOrientation, getOrientationValue, getOwnBackcolor, getSeriesColors, setBackcolor, setBackgroundAlpha, setBand, setForegroundAlpha, setLabelRotation, setOrientation, setOrientation, setSeriesColors`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRChartPlot

      `addSeriesColor, clearSeriesColors, clone, collectExpressions, getBackcolor, getBackgroundAlphaFloat, getChart, getForegroundAlphaFloat, getLabelRotationDouble, getOrientation, getOrientationValue, getOwnBackcolor, getSeriesColors, setBackcolor, setBackgroundAlpha, setForegroundAlpha, setLabelRotation, setOrientation, setOrientation, setSeriesColors`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCloneable

      `clone`

- - ### Constructor Detail

    - #### JRFillMeterPlot

          public JRFillMeterPlot(JRMeterPlot meterPlot,
                         JRFillObjectFactory factory)

  - ### Method Detail

    - #### getDataRange

          public JRDataRange getDataRange()

      Description copied from interface: `JRMeterPlot`
      Returns the range of values that the Meter can display.
      Specified by:
        `getDataRange` in interface `JRMeterPlot`
      Returns:
        the range of values that the Meter can display

    - #### getValueDisplay

          public JRValueDisplay getValueDisplay()

      Description copied from interface: `JRMeterPlot`
      Returns a description of how the value of the Meter is displayed. This includes any font and color information, the location of the value, a formatting mask and an optional "units" string to append to the value.
      Specified by:
        `getValueDisplay` in interface `JRMeterPlot`
      Returns:
        a description of how the value of the Meter is displayed.

    - #### getShapeValue

          public MeterShapeEnum getShapeValue()

      Description copied from interface: `JRMeterPlot`
      Returns the shape of the Meter. The shape is only relevant if the Meter face is over 180 degrees wide, and controls how the portion of the circle described by the Meter but outside of the Meter is drawn. (If the meter is 240 degrees wide the shape setting controls how the remaining 120 degrees is displayed.)
      The value returned is one of the shape constants defined in `MeterShapeEnum`.
      Specified by:
        `getShapeValue` in interface `JRMeterPlot`
      Returns:
        a description of how the value of the Meter is displayed.

    - #### getIntervals

          public java.util.List<JRMeterInterval> getIntervals()

      Description copied from interface: `JRMeterPlot`
      Returns a list of all the intervals contained in this Meter. The return value is never `null` but can be an empty list. Each element in the list is a ``net.sf.jasperreports.charts.util.JRMeterInterval``
      Specified by:
        `getIntervals` in interface `JRMeterPlot`
      Returns:
        a list of all the intervals contained in this Meter

    - #### getMeterAngleInteger

          public java.lang.Integer getMeterAngleInteger()

      Description copied from interface: `JRMeterPlot`
      Returns the size of the Meter face in degrees. By default the meter dial is a semicircle.
      Specified by:
        `getMeterAngleInteger` in interface `JRMeterPlot`
      Returns:
        the size of the Meter face in degrees

    - #### getUnits

          public java.lang.String getUnits()

      Description copied from interface: `JRMeterPlot`
      Returns the name of the units that the Meter is displaying. This value will be appended to the value when displayed.
      Specified by:
        `getUnits` in interface `JRMeterPlot`
      Returns:
        the name of the units that the Meter is displaying

    - #### getTickIntervalDouble

          public java.lang.Double getTickIntervalDouble()

      Description copied from interface: `JRMeterPlot`
      Returns the spacing between the ticks on the face of the meter. The spacing is relative to the range that the meter is displaying - if the range is 0 to 500 and the tick interval is 50 then 10 ticks will be displayed.
      Specified by:
        `getTickIntervalDouble` in interface `JRMeterPlot`
      Returns:
        the spacing between the ticks on the face of the meter

    - #### getMeterBackgroundColor

          public java.awt.Color getMeterBackgroundColor()

      Description copied from interface: `JRMeterPlot`
      Returns the background color of the meter. This is the color of the meter's face.
      Specified by:
        `getMeterBackgroundColor` in interface `JRMeterPlot`
      Returns:
        the background color of the meter.

    - #### getNeedleColor

          public java.awt.Color getNeedleColor()

      Description copied from interface: `JRMeterPlot`
      Returns the color used when drawing the meter's pointer.
      Specified by:
        `getNeedleColor` in interface `JRMeterPlot`
      Returns:
        the color used when drawing the meter's pointer

    - #### getTickColor

          public java.awt.Color getTickColor()

      Description copied from interface: `JRMeterPlot`
      Returns the color used when drawing tick marks on the meter.
      Specified by:
        `getTickColor` in interface `JRMeterPlot`
      Returns:
        the color used when drawing tick marks on the meter

    - #### getTickCount

          public java.lang.Integer getTickCount()

      Description copied from interface: `JRMeterPlot`
      Returns the number of major ticks on the meter scale.
      Specified by:
        `getTickCount` in interface `JRMeterPlot`
      Returns:
        the spacing between the ticks on the face of the meter

    - #### getTickLabelFont

          public JRFont getTickLabelFont()

      Description copied from interface: `JRMeterPlot`
      Returns the font used to write tick labels on the meter.
      Specified by:
        `getTickLabelFont` in interface `JRMeterPlot`
      Returns:
        the font used to write tick labels on the meter

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com